Debian Bug report logs - #580129
udev-gtk-udeb: input_id is the libtool wrapper script

version graph

Package: udev-gtk-udeb; Maintainer for udev-gtk-udeb is Marco d'Itri <md@linux.it>; Source for udev-gtk-udeb is src:udev.

Reported by: Cyril Brulebois <kibi@debian.org>

Date: Mon, 3 May 2010 19:18:01 UTC

Severity: grave

Tags: d-i

Found in version udev/153-1

Fixed in version udev/153-2

Done: Marco d'Itri <md@linux.it>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, kibi@debian.org, Marco d'Itri <md@linux.it>:
Bug#580129; Package udev-gtk-udeb. (Mon, 03 May 2010 19:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
New Bug report received and forwarded. Copy sent to kibi@debian.org, Marco d'Itri <md@linux.it>. (Mon, 03 May 2010 19:18:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: udev-gtk-udeb: input_id is the libtool wrapper script
Date: Mon, 03 May 2010 21:14:21 +0200
Package: udev-gtk-udeb
Version: 153-1
Severity: grave
Tags: d-i
Justification: renders package unusable; breaks g-i

Hi,

g-i is currently broken because input_id is the libtool shell wrapper
instead of the resulting binary, leading to no input at all within X and
a broken graphical installer. Looking at the diff since 151-3, that
looks like the attempt at building it this way failed:
|         $(MAKE) all \
|                 extras_input_id_input_id_LDADD='-Llibudev/ -ludev'

Mraw,
KiBi.




Reply sent to Marco d'Itri <md@linux.it>:
You have taken responsibility. (Tue, 04 May 2010 00:36:04 GMT) Full text and rfc822 format available.

Notification sent to Cyril Brulebois <kibi@debian.org>:
Bug acknowledged by developer. (Tue, 04 May 2010 00:36:04 GMT) Full text and rfc822 format available.

Message #10 received at 580129-close@bugs.debian.org (full text, mbox):

From: Marco d'Itri <md@linux.it>
To: 580129-close@bugs.debian.org
Subject: Bug#580129: fixed in udev 153-2
Date: Tue, 04 May 2010 00:32:33 +0000
Source: udev
Source-Version: 153-2

We believe that the bug you reported is fixed in the latest version of
udev, which is due to be installed in the Debian FTP archive:

gir1.0-gudev-1.0_153-2_i386.deb
  to main/u/udev/gir1.0-gudev-1.0_153-2_i386.deb
libgudev-1.0-0_153-2_i386.deb
  to main/u/udev/libgudev-1.0-0_153-2_i386.deb
libgudev-1.0-dev_153-2_i386.deb
  to main/u/udev/libgudev-1.0-dev_153-2_i386.deb
libudev-dev_153-2_i386.deb
  to main/u/udev/libudev-dev_153-2_i386.deb
libudev0_153-2_i386.deb
  to main/u/udev/libudev0_153-2_i386.deb
udev-gtk-udeb_153-2_i386.udeb
  to main/u/udev/udev-gtk-udeb_153-2_i386.udeb
udev-udeb_153-2_i386.udeb
  to main/u/udev/udev-udeb_153-2_i386.udeb
udev_153-2.diff.gz
  to main/u/udev/udev_153-2.diff.gz
udev_153-2.dsc
  to main/u/udev/udev_153-2.dsc
udev_153-2_i386.deb
  to main/u/udev/udev_153-2_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 580129@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Marco d'Itri <md@linux.it> (supplier of updated udev package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 04 May 2010 00:43:16 +0200
Source: udev
Binary: udev libudev0 libudev-dev udev-udeb udev-gtk-udeb libgudev-1.0-0 gir1.0-gudev-1.0 libgudev-1.0-dev
Architecture: source i386
Version: 153-2
Distribution: unstable
Urgency: high
Maintainer: Marco d'Itri <md@linux.it>
Changed-By: Marco d'Itri <md@linux.it>
Description: 
 gir1.0-gudev-1.0 - libgudev-1.0 introspection data
 libgudev-1.0-0 - GObject-based wrapper library for libudev
 libgudev-1.0-dev - libgudev-1.0 development files
 libudev-dev - libudev development files
 libudev0   - libudev shared library
 udev       - /dev/ and hotplug management daemon
 udev-gtk-udeb - libudev shared library (udeb)
 udev-udeb  - /dev/ and hotplug management daemon (udeb)
Closes: 580129
Changes: 
 udev (153-2) unstable; urgency=high
 .
   * Install input_id in udev-gtk-udeb instead of the libtool wrapper script.
     (Closes: #580129)
Checksums-Sha1: 
 5cf1bba0e2696593d88f5749cec00d4fb70f4998 1404 udev_153-2.dsc
 fdfac431f2e197b112590550b4cd9396af6e2f5d 71192 udev_153-2.diff.gz
 9ce2a780acbd29397e03d263e767d710ed359bdc 436440 udev_153-2_i386.deb
 519bf970a419bf8f7c49e318587261de8931765d 106892 libudev0_153-2_i386.deb
 203e434da05d26728ed12f0a3c6a188e6857dd8c 46434 libudev-dev_153-2_i386.deb
 184fe1f4842d518394c9cf9dcbb00931c88ac239 153184 udev-udeb_153-2_i386.udeb
 8f8342042babc267bcf480478a2b12845a5686a9 22810 udev-gtk-udeb_153-2_i386.udeb
 1fa24d04c2ed101482121d74a8ef27e72a76966c 94436 libgudev-1.0-0_153-2_i386.deb
 c26b8b4abe89f3e30c6e350a18a2f18b622cd522 2494 gir1.0-gudev-1.0_153-2_i386.deb
 578f044c463572c872ed7fb65049e7516ffe0b23 32858 libgudev-1.0-dev_153-2_i386.deb
Checksums-Sha256: 
 847a2dc80865b6ff0bb76c6112be098a525e8885e6bbf9d88b353fb73a239ec8 1404 udev_153-2.dsc
 71a92007698494122cb8550c822e8dc612c11dd4918bddb71951411a86ebd2db 71192 udev_153-2.diff.gz
 c3948178256855de9fa9a54b140bb645f23212096d714ed6500e931cb0e79b76 436440 udev_153-2_i386.deb
 8c74fd24d6e252fa10e5e543a8eab1417f29bd1d111240d57b1346edc3662564 106892 libudev0_153-2_i386.deb
 bb7aac9d60a669a2fd7f7cd31b0619104c17d035e22a7eb606f98e8149638020 46434 libudev-dev_153-2_i386.deb
 5bb691cd32356716b543238309650afd879bd620347ca7521838660ad06e1161 153184 udev-udeb_153-2_i386.udeb
 cace1ee17b15e2575bf442f12debbfc7fda88a7462f4c15355613cec76c480b5 22810 udev-gtk-udeb_153-2_i386.udeb
 5c71ad394dcc99812b3398c0cef4620725fbf4f33e5e8d0d94918a83a4789d10 94436 libgudev-1.0-0_153-2_i386.deb
 87d3dc2a45859049afdcddadf3211922384145039cf4aa0d63118759523f5209 2494 gir1.0-gudev-1.0_153-2_i386.deb
 86d057c5dc2066893dc5407be3f22756123a0387c7768cec7be47a37deda34d1 32858 libgudev-1.0-dev_153-2_i386.deb
Files: 
 e85f2fce55e56ac9eec651b305b04bd2 1404 admin important udev_153-2.dsc
 28367d311702265cc5a9563740027977 71192 admin important udev_153-2.diff.gz
 0287d5a89f4c95acfa4857c50af4560c 436440 admin important udev_153-2_i386.deb
 4574715a2772cf5dbbe56f75697e94f5 106892 libs optional libudev0_153-2_i386.deb
 991bb9de7b1152dfb1f530864a37dd76 46434 libdevel optional libudev-dev_153-2_i386.deb
 eba5aea9f234cc1a41f4f98ad6ab16d8 153184 debian-installer important udev-udeb_153-2_i386.udeb
 3a3a21464de5949dcf5b0a6da79a8a96 22810 debian-installer optional udev-gtk-udeb_153-2_i386.udeb
 ce9fb422f21c16fbf0212a1d4cd12792 94436 libs optional libgudev-1.0-0_153-2_i386.deb
 9e2841671eb56b6ed0894544cc9d09c1 2494 libs optional gir1.0-gudev-1.0_153-2_i386.deb
 aaf6cd4863cf9152a62e5e25f13a3bb4 32858 libdevel optional libgudev-1.0-dev_153-2_i386.deb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkvfaCwACgkQFGfw2OHuP7FF0QCeK4i6thqALLDlwIy/FNkOW09b
d5cAniFrJTE6tafhAXc/6lwH+z/NhMtN
=Yj/K
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 03 Jun 2010 07:34:18 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 19:13:05 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.